1

I am trying to install python-opencv for this code. https://github.com/rbgirshick/fast-rcnn

How do I do that? When I type pip install --user python-opencv i get

Could not find any downloads that satisfy the requirement python-opencv
Cleaning up...
No distributions at all found for python-opencv

I managed to install cython and easydict using

pip install --user cython
pip install --user easydict
  • Yes I need to install python-opencv but there isnt any instruction on how i can install python-opencv. i use pip because i always see pip ____. i am new to ubuntu i dunno anything about ubuntu so i need very clear instructions. – Kong Dec 2 '16 at 17:59
  • i managed to install easydict and cython using pip install --user – Kong Dec 2 '16 at 18:02
  • Okay. Can you please update your question to include details what you have actually tried so far? – edwinksl Dec 2 '16 at 18:09
2

Try sudo apt-get install python-opencv.

|improve this answer|||||
1

If you have pip already installed,then this would do

pip3 install opencv-python
|improve this answer|||||
  • Your answer is right, AFAICT, but for someone with the same question, who has already discovered pip it's probably better to know that if man pip doesn't work, then pip --help works (with applications in general) and tells you you can do pip search $terms. pip search opencv shows you that the package you want is probably opencv-python. And that's where the answer comes in. [If you demonstrate how to arrive at answer, the person can solve the problem themselves next time.]. Oh, and welcome to the site! – pbhj May 24 '19 at 12:34
  • 1
    Thanks, I would try to quickly adapt to properly present answers. – Aravind May 25 '19 at 13:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.